#!/bin/bash
#/*
# The cube.sh software ("software") is provided by NIST as a service and is expressly provided "AS 
# IS." NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, 
# INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, 
# FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY. NIST 
# DOES NOT REPRESENT OR WARRANT THAT THE OPERATION OF THE SOFTWARE WILL BE 
# UNINTERRUPTED OR ERROR-FREE, OR THAT ANY DEFECTS WILL BE CORRECTED. NIST 
# does not warrant or make any representations regarding the use of the 
# software or the results thereof, including but not limited to the 
# correctness, accuracy, reliability or usefulness of the software. Software 
# developed by NIST employees is not subject to copyright protection within 
# the United States. By using this software or by incorporating this software 
# into another product, you agree that you will indemnify and hold harmless 
# the United Sates Government for any and all damages or liabilities that 
# arise out of such use.
# */
#/***************************************************************
#===============================================================
# 			NIST 
#
# Antonakakis Emmanouil {manos@nist.gov}
# Karygiannis Athanasios {tomkary@nist.gov}
#
# MANET /.bashrc FILE for bash-2.05a (or later)
#
#
# This script is for helping the clients of the MNET program to 
# change their letwork topology
#
# Last modified: The Jan 06 01:30 2005
#
#
# This file was designed (originally) for Linux Debian.
#
#
#===============================================================
#***************************************************************/
#--------start-AODV------------
# Uncomment or edit the following line to point to the routing 
# algorithm that you are using 

# ex. For NIST AODV...
sh routing/start_gateway.sh &

#--------start-Sockets---------
./server_arm_2004 &
./server_arm_2007 &
#--------change-the-topology---
echo > time.sh
echo > run_me.sh
i=2
while [ 0 -lt $i ]
do
sh time.sh
sleep 1
sh time.sh
#iptables -t mangle -L
echo > time.sh
done