#!/bin/bash
#-------------------------------------------------------------
# Main Menu
#-------------------------------------------------------------
#typeset MAC
ARGCOUNT=2                     # Filename arg must be passed to script.

if [ $# -ne "$ARGCOUNT" ]
then
 echo "Usage: `basename $0` node_you_want_to_check node_that_will_help_you_to_check_the_previus_one"
 exit $E_WRONGARGS
fi
    
    

INTERFACE="wlan0"
IP=`ifconfig $INTERFACE | grep inet | awk '{print $2}' | sed 's#addr:##g'` 
MAC=`ifconfig $INTERFACE | grep eth0 | awk '{print $5}' | sed 's#HWaddr##g'` 
BRO=`ifconfig $INTERFACE | grep inet | awk '{print $3}' | sed 's#Bcast:##g'` 
MASK=`ifconfig $INTERFACE | grep inet | awk '{print $4}' | sed 's#Mask:##g'`
export IP
export MAC
export INTERFACE
export BRO
export MASK
#NOTE:	c: will be the node that we will check for critical link
#	n: is the neighbor node that will help us 
#	   preform the checking of node c
echo > tmp
#ping -c 30 192.168.106.33 -q & >> tmp
./dcl_arm -i wlan0 -c $1  -n $2
#echo $INTERFACE
#echo "IP -> $IP"
#echo "MAC -> $MAC"
#echo "Broadcast -> $BRO"
#echo "Network MAsk -> $MASK"

exit 0