#!/bin/bash
# network_info.sh ip_you_want_to_check 

command_status=0
#echo > $MLABROOT/network/tmp/info_interface
ssh root@$1 '( ifconfig wlan0 )' > $MLABROOT/network/tmp/info_interface
sleep 2

cat $MLABROOT/network/tmp/info_interface | grep inet | awk '{print $2}' | sed 's#addr:##g' > $MLABROOT/network/tmp/interface
sleep 1
cat $MLABROOT/network/tmp/info_interface | grep HWaddr | awk '{print $5}' | sed 's#HWaddr##g' > $MLABROOT/network/tmp/MAC
sleep 1
#more $MLABROOT/network/tmp/interface
#more $MLABROOT/network/tmp/MAC

#echo "----------------------------------------------------------------------"
ssh root@$1 '( iwconfig wlan0)' > $MLABROOT/network/tmp/info_wlan
sleep 2
cat $MLABROOT/network/tmp/info_wlan | grep IEEE | awk '{print $4}' | sed 's#ESSID:##g' > $MLABROOT/network/tmp/essid 
sleep 1
#echo "essid"
#more $MLABROOT/network/tmp/essid 

cat $MLABROOT/network/tmp/info_wlan | grep Bit | awk '{print $3}' | sed 's#Tx-Power:##g' > $MLABROOT/network/tmp/txpower 
sleep 1
#echo "txpower"
#more $MLABROOT/network/tmp/txpower 

cat $MLABROOT/network/tmp/info_wlan | grep IEEE | awk '{print $5}' | sed 's#Nickname:##g' > $MLABROOT/network/tmp/hostname 
sleep 1
#echo "hostname"
#more $MLABROOT/network/tmp/hostname

cat $MLABROOT/network/tmp/info_wlan | grep Mode | awk '{print $2}' | sed 's#Frequency:##g' > $MLABROOT/network/tmp/frequency 
#echo "frequency"
#more $MLABROOT/network/tmp/frequency

cat $MLABROOT/network/tmp/info_wlan | grep Mode | awk '{print $4}' | sed 's#Cell:##g' > $MLABROOT/network/tmp/cell 
#echo "cell"
#more $MLABROOT/network/tmp/cell 

cat $MLABROOT/network/tmp/info_wlan | grep Bit | awk '{print $2}' | sed 's#Rate:##g' > $MLABROOT/network/tmp/bitrate 
sleep 1
#echo "bitrate"
#more $MLABROOT/network/tmp/bitrate

cat $MLABROOT/network/tmp/info_wlan | grep Link | awk '{print $2}' | sed 's#Quality:##g' > $MLABROOT/network/tmp/quality 
#echo "quality"
#more $MLABROOT/network/tmp/quality

cat $MLABROOT/network/tmp/info_wlan | grep Link | awk '{print $4}' | sed 's#level:##g' > $MLABROOT/network/tmp/signal 
sleep 1
#echo "signal"
#more $MLABROOT/network/tmp/signal

cat $MLABROOT/network/tmp/info_wlan | grep Link | awk '{print $7}' | sed 's#level:##g' > $MLABROOT/network/tmp/noise 
sleep 1
#echo "noise"
#more $MLABROOT/network/tmp/noise


#echo "----------------------------------------------------------------------"
ssh root@$1 '(cardctl info  )' > $MLABROOT/network/tmp/info_card
sleep 1
cat $MLABROOT/network/tmp/info_card | grep PRODID_1 | awk '{print $1}' | sed 's#PRODID_1=##g' > $MLABROOT/network/tmp/card_man 
sleep 1
cat $MLABROOT/network/tmp/info_card | grep PRODID_2 | awk '{print $1 $2 $3 $4 $5}' | sed 's#PRODID_2=##############g' > $MLABROOT/network/tmp/card_name 
sleep 1
ssh root@$1 '( cat  /proc/aodv/routes )' > $MLABROOT/network/tmp/info_aodv
ssh root@$1 '( iptables -L)' > $MLABROOT/network/tmp/info_iptables

#ssh root@$1 '( iwlist wlan0 scann)' > $MLABROOT/network/tmp/scann
