#!/bin/bash
# network_info.sh ip_you_want_to_check 

command_status=0
echo > /tmp/info_interface
ssh root@$1 '( ifconfig wlan0 )' > /tmp/info_interface
more /tmp/info_interface | grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/interface
more /tmp/info_interface | grep HWaddr | awk '{print $5}' | sed 's#HWaddr##g' > /tmp/MAC
more /tmp/interface
more /tmp/MAC

echo "----------------------------------------------------------------------"
ssh root@$1 '( iwconfig wlan0)' > /tmp/info_wlan

more /tmp/info_wlan | grep IEEE | awk '{print $4}' | sed 's#ESSID:##g' > /tmp/essid 
echo "essid"
more /tmp/essid 

more /tmp/info_wlan | grep Bit | awk '{print $4}' | sed 's#Tx-Power:##g' > /tmp/txpower 
echo "txpower"
more /tmp/txpower 

more /tmp/info_wlan | grep IEEE | awk '{print $5}' | sed 's#Nickname:##g' > /tmp/hostname 
echo "hostname"
more /tmp/hostname

more /tmp/info_wlan | grep Mode | awk '{print $2}' | sed 's#Frequency:##g' > /tmp/frequency 
echo "frequency"
more /tmp/frequency

more /tmp/info_wlan | grep Mode | awk '{print $4}' | sed 's#Cell:##g' > /tmp/cell 
echo "cell"
more /tmp/cell 

more /tmp/info_wlan | grep Bit | awk '{print $2}' | sed 's#Rate:##g' > /tmp/bitrate 
echo "bitrate"
more /tmp/bitrate

more /tmp/info_wlan | grep Link | awk '{print $2}' | sed 's#Quality:##g' > /tmp/quality 
echo "quality"
more /tmp/quality

more /tmp/info_wlan | grep Link | awk '{print $4}' | sed 's#level:##g' > /tmp/signal 
echo "signal"
more /tmp/signal

more /tmp/info_wlan | grep Link | awk '{print $7}' | sed 's#level:##g' > /tmp/noise 
echo "noise"
more /tmp/noise

echo "----------------------------------------------------------------------"
ssh root@$1 '( cardctl info  )' > /tmp/info_card
more /tmp/info_card | grep PRODID_1 | awk '{print $1}' | sed 's#PRODID_1=##g' > /tmp/card_man && more /tmp/card_man
more /tmp/info_card | grep PRODID_2 | awk '{print $1 $2 $3 $4 $5}' | sed 's#PRODID_2=##############g' > /tmp/card_name && more /tmp/card_name


echo "----------------------------------------------------------------------"
ssh root@$1 '( lsmod )' > /tmp/info_mod
#more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan
more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan 
more /tmp/info_mod

echo "----------------------------------------------------------------------"

ssh root@$1 '( iptables -t mangle -L)' > /tmp/info_iptables
#more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan
more /tmp/info_iptables


echo "----------------------------------------------------------------------"

#ssh root@$1 '( ip route show dev wlan0)' > /tmp/info_iproute
#more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan
#more /tmp/info_iproute

echo "----------------------------------------------------------------------"

ssh root@$1 '( cat  /proc/aodv/routes )' > /tmp/info_aodv
#more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan
more /tmp/info_aodv





#$INTERFACE | grep HWaddr | awk '{print $5}' | sed 's#HWaddr##g' 
#ifconfig $INTERFACE | grep inet | awk '{print $3}' | sed 's#Bcast:##g' 
#ifconfig $INTERFACE | grep inet | awk '{print $4}' | sed 's#Mask:##g'



#iwlist wlan0 frequency 


#find /tmp -name test_arch |xargs fgrep "86"
