#!/bin/bash
# start_activity.sh  $1_Source_node $2_Destination_node $3_Type_Of_Network_Connection $4_Port $5_How_many_packets_to_send $6_Delay_Between_Packets  $7_Wireless_Source_node $8_Wireless_Destination_node

#~ Case name:tcp_for_test_1120
#~ Source node:Node25
#~ Destination node:Node20
#~ Type Of Network Connection:TCP
#~ Port:1120
#~ How many packets to send:20
#~ Delay Between Packets:15

case "$3" in
#Type_Of_Network_Connection

	"TCP" | "tcp" )
		# Start tcp server - client 
		echo "Starting TCP server - client"
		# 1.------> start the server 
		echo "cd /root/mlabclient/socket"> /tmp/server.sh
		echo " ./server_socket_tcp_arm $4&">> /tmp/server.sh 
		
		scp /tmp/server.sh root@$1:/tmp/server.sh
		ssh root@$1 '(sh  /tmp/server.sh )'  &
		
		# 2.-------> start the client with parameters			
		echo "cd /root/mlabclient/socket"> /tmp/client.sh
		echo "sh testing.sh $8 $7 $4 $5 $6&" >> /tmp/client.sh 
		
		scp /tmp/client.sh root@$2:/tmp/client.sh
		ssh root@$2 '(sh  /tmp/client.sh  )'& 
	;;
		"UDP" | "udp" )
		# Start tcp server - client 
		echo "Starting UDP server - client"
		# 1.------> start the server 
		echo "cd /root/mlabclient/socket"> /tmp/server.sh
		echo " ./server_socket_udp_arm $4&">> /tmp/server.sh 
		
		scp /tmp/server.sh root@$1:/tmp/server.sh
		ssh root@$1 '(sh  /tmp/server.sh )'  &

		# 2.-------> start the client with parameters
		echo "cd /root/mlabclient/socket"> /tmp/client.sh
		echo "sh testing2.sh $8 $7 $4 $5 $6&" >> /tmp/client.sh 
		
		scp /tmp/client.sh root@$2:/tmp/client.sh
		ssh root@$2 '(sh  /tmp/client.sh )' & 

	;;
		"ICMP" | "icmp" )
		# Start ICMP - ping  messages 
		echo "Starting ICMP activity"
		# 1.------> start activity at server 
		echo "cd /root/mlabclient/socket "> /tmp/icmp.sh
		echo "ping -c $5 $8 -q &" >> /tmp/icmp.sh
		
		scp /tmp/icmp.sh root@$1:/tmp/icmp.sh
		ssh root@$1 '(sh  /tmp/icmp.sh )' &
	;;
	* )
	echo "Something is not good @ start_activity.sh  <error1>"
	;;
esac

exit 0
