#!/bin/bash
# transfer_routing.sh ip arch

command_status=0

ssh root@$1 '( mkdir -p mlabclient )'
scp $MLABROOT/files/$2/client/routing/routing.tar $1:/root/mlabclient/routing.tar
wait
ssh root@$1 '(cd /root/mlabclient ; tar xvf routing.tar ; exit 0 )' &
sleep 5

if [ $? -eq $command_status ]
then
  echo "Routing transfer Done OK"
  exit 0
else
  echo "Routing transfer Not Done"
  exit 1
fi
