#!/bin/bash
# network_info.sh ip_you_want_to_check 

command_status=0
echo > $MLABROOT/network/tmp/info_remote
ssh root@$1 '( ifconfig wlan0 ; iwconfig wlan0  ; cardctl info)' > $MLABROOT/network/tmp/info_remote


ssh root@$1 '( iptables -t mangle -L)' > $MLABROOT/network/tmp/info_iptables
#more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan
#more $MLABROOT/network/tmp/info_iptables


#echo "----------------------------------------------------------------------"

ssh root@$1 '( iwlist wlan0 scann)' > $MLABROOT/network/tmp/scann
#more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan
#more $MLABROOT/network/tmp/scann

#echo "----------------------------------------------------------------------"

ssh root@$1 '( cat  /proc/aodv/routes )' > $MLABROOT/network/tmp/info_aodv
#more /tmp/info_mod| grep inet | awk '{print $2}' | sed 's#addr:##g' > /tmp/wlan
#more $MLABROOT/network/tmp/info_aodv

more $MLABROOT/network/tmp/info_remote | grep inet | awk '{print $2}' | sed 's#addr:##g' > $MLABROOT/network/tmp/interface 
more $MLABROOT/network/tmp/info_remote | grep HWaddr | awk '{print $5}' | sed 's#HWaddr##g' > $MLABROOT/network/tmp/MAC 
more $MLABROOT/network/tmp/info_remote | grep IEEE | awk '{print $4}' | sed 's#ESSID:##g' > $MLABROOT/network/tmp/essid  
more $MLABROOT/network/tmp/info_remote | grep Bit | awk '{print $4}' | sed 's#Tx-Power:##g' > $MLABROOT/network/tmp/txpower  
more $MLABROOT/network/tmp/info_remote | grep IEEE | awk '{print $5}' | sed 's#Nickname:##g' > $MLABROOT/network/tmp/hostname  
more $MLABROOT/network/tmp/info_remote | grep Mode | awk '{print $2}' | sed 's#Frequency:##g' > $MLABROOT/network/tmp/frequency  
more $MLABROOT/network/tmp/info_remote | grep Mode | awk '{print $4}' | sed 's#Cell:##g' > $MLABROOT/network/tmp/cell 
more $MLABROOT/network/tmp/info_remote | grep Bit | awk '{print $2}' | sed 's#Rate:##g' > $MLABROOT/network/tmp/bitrate 
more $MLABROOT/network/tmp/info_remote | grep Link | awk '{print $2}' | sed 's#Quality:##g' > $MLABROOT/network/tmp/quality 
more $MLABROOT/network/tmp/info_remote | grep Link | awk '{print $4}' | sed 's#level:##g' > $MLABROOT/network/tmp/signal 
more $MLABROOT/network/tmp/info_remote | grep Link | awk '{print $7}' | sed 's#level:##g' > $MLABROOT/network/tmp/noise 
more $MLABROOT/network/tmp/info_remote | grep PRODID_1 | awk '{print $1}' | sed 's#PRODID_1=##g' > $MLABROOT/network/tmp/card_man 
more $MLABROOT/network/tmp/info_remote | grep PRODID_2 | awk '{print $1 $2 $3 $4 $5}' | sed 's#PRODID_2=##############g' > $MLABROOT/network/tmp/card_name 
more $MLABROOT/network/tmp/info_remote | grep inet | awk '{print $2}' | sed 's#addr:##g' > $MLABROOT/network/tmp/wlan 
#echo "----------------------------------------------------------------------"


exit 1
