#!/bin/sh
#
# packet_loss.sh - SIMPLE script for creating packet loss
#
# Manos Antonakakis (manos@nist.gov)
#
# usage: packet_loss.sh  
#

rtimes=0
time_repeat_packet_loss=10

echo "Packet Loss"
##########################
# Packet loss for a small
# time window (15 sec) ... 
# then set everything back
# to normal but after some
# time (35 sec) we have 
# packet loss again. Do it 
# for $time_repeat_packet_loss
#
while [ $rtimes -le $time_repeat_packet_loss ]
do
	echo "0" > /proc/sys/net/ipv4/ip_forward
	sleep 15
	echo "1" > /proc/sys/net/ipv4/ip_forward
	sleep 35
	rtimes=$(($rtimes+1))
done
