#!/bin/bash
# send_topology.sh path topology_number connected[1]_or_disconected[2]

command_status=0
cd $MLABROOT/scenarios/current

cp $MLABROOT/network/total .

if [ $2 -eq '1' ]
then
  cp $1/con_block_me.sh .
  cp $1/con_synchr.sh .
  convert.sh ./con_synchr.sh "sh run_me.sh" "iptables -t mangle -F" > flash.sh
  cat total > flash_me.sh
  cat flash.sh >> flash_me.sh
  cat total > send_me.sh
  cat con_block_me.sh >> send_me.sh
  cat total > sinc_me.sh
  cat con_synchr.sh >>  sinc_me.sh

else
  cp $1/discon_block_me.sh .
  cp $1/discon_synchr.sh .
  convert.sh ./discon_synchr.sh "sh run_me.sh" "iptables -t mangle -F" > flash.sh
  cat total > flash_me.sh
  cat flash.sh >> flash_me.sh
  cat total > send_me.sh
  cat discon_block_me.sh >> send_me.sh
  cat total > sinc_me.sh
  cat discon_synchr.sh >>  sinc_me.sh
fi

sh send_me.sh
