#!/bin/sh

# AODV Dev
# Tells AODV which interface use wish to use.

AODV_DEV="wlan0"

KERNEL_AODV=kernel_aodv_nogw
KVERSION=`uname -r`

# Local Subnet
# If there is a small network attached to this node 
# and you want to route through it, then describe it
# here. Other nodes will also be able to get routes
# to it. This is not commonly set.
# You must specify a subnet along with a subnet mask.

#LOCAL_SUBNET="local_subnet=192.168.10.0/255.255.255.0"

# The other interface, not AODV, to clean hte routes...
ifconfig eth0 down
ifconfig eth0 up

route del default
route add default gw 192.168.106.51

echo "1" > /proc/sys/net/ipv4/ip_forward
echo "0" > /proc/sys/net/ipv4/route/min_delay

echo "	Setting the MANET to nistdemo..."
#iwconfig $AODV_DEV essid nistdemo mode ad-hoc

echo "	Starting the AODV IPv4..."
cp -f $KERNEL_AODV.o /lib/modules/$KVERSION/kernel/net/ipv4/kernel_aodv.o

echo "" >> /var/log/syslog 
echo "-----> Starting AODV-IPv4" >> /var/log/syslog
echo "" >> /var/log/syslog

modprobe kernel_aodv use_dev=$AODV_DEV
 
